pcl::device::numeric_limits< double > Struct Template Reference

`#include </build/pcl-qv3n_B/pcl-1.8.1+dfsg1/gpu/utils/include/pcl/gpu/utils/device/limits.hpp>`

## Public Types

typedef double | type

## Static Public Member Functions

__device__ static __forceinline__ type | min ()
__device__ static __forceinline__ type | max ()
__device__ static __forceinline__ type | epsilon ()
__device__ static __forceinline__ type | round_error ()
__device__ static __forceinline__ type | denorm_min ()
__device__ static __forceinline__ type | infinity ()
__device__ static __forceinline__ type | quiet_NaN ()
__device__ static __forceinline__ type | signaling_NaN ()

## Static Public Attributes

static const bool | is_signed = true

## Detailed Description

### template<>
struct pcl::device::numeric_limits< double >

Definition at line 213 of file limits.hpp.

## Member Typedef Documentation

## type

typedef double pcl::device::numeric_limits< double >::type

Definition at line 215 of file limits.hpp.

## Member Function Documentation

## denorm_min()

__device__ static __forceinline__ type pcl::device::numeric_limits< double >::denorm_min | ( |  | ) |

static

## epsilon()

__device__ static __forceinline__ type pcl::device::numeric_limits< double >::epsilon | ( |  | ) |

inline static

Definition at line 218 of file limits.hpp.

References pcl::device::numeric_limits< T >::denorm_min(), pcl::device::numeric_limits< T >::infinity(), pcl::device::numeric_limits< T >::quiet_NaN(), pcl::device::numeric_limits< T >::round_error(), and pcl::device::numeric_limits< T >::signaling_NaN().

## infinity()

__device__ static __forceinline__ type pcl::device::numeric_limits< double >::infinity | ( |  | ) |

static

## max()

__device__ static __forceinline__ type pcl::device::numeric_limits< double >::max | ( |  | ) |

inline static

Definition at line 217 of file limits.hpp.

## min()

__device__ static __forceinline__ type pcl::device::numeric_limits< double >::min | ( |  | ) |

inline static

Definition at line 216 of file limits.hpp.

## quiet_NaN()

__device__ static __forceinline__ type pcl::device::numeric_limits< double >::quiet_NaN | ( |  | ) |

static

## round_error()

__device__ static __forceinline__ type pcl::device::numeric_limits< double >::round_error | ( |  | ) |

static

## signaling_NaN()

__device__ static __forceinline__ type pcl::device::numeric_limits< double >::signaling_NaN | ( |  | ) |

static

## Member Data Documentation

## is_signed

const bool pcl::device::numeric_limits< double >::is_signed = true

static

Definition at line 224 of file limits.hpp.

The documentation for this struct was generated from the following file:

- /build/pcl-qv3n_B/pcl-1.8.1+dfsg1/gpu/utils/include/pcl/gpu/utils/device/limits.hpp